### Attribute

Category

Structuring

Function

Extracts an attribute from an Object.

Syntax

    object = Attribute(input, attribute);

Inputs

Name | Type | Default | Description
--- | --- | --- | ---
`input` | object | none | object from which the attribute is obtained
`attribute` | string | "name" | attribute name

Outputs

Name | Type | Description
--- | --- | ---
`object` | object | attribute value

Functional Details

`input` | is an Object with an attribute to be extracted.
`attribute` | is the name of the attribute to be extracted.

There are various attributes which have definite meanings in Data Explorer (see Options). You can also add your own attributes to objects. In addition, some modules (RubberSheet, Isosurface, AutoGrid, Tube, Ribbon) add attributes specifying the value of a particular value computed and used in creating a realization.

Example Visual Program

    UsingAttributes.net

See Also

Options, RubberSheet, Isosurface, AutoGrid, Tube, Ribbon

[ OpenDX Home at IBM | OpenDX.org ]